%undefine __libtoolize
%define qtdir /usr/lib/qt3

Name: boson
Version: 0.10
Release: alt4

Group: Games/Strategy
Summary: Real-Time Strategy Game (RTS)
Url: http://boson.sourceforge.net
License: GPL

Provides: %name-mini = %version-%release
Requires: %{get_dep kdelibs} %{get_dep lib3ds}
Requires: %name-data = %version
Requires: %name-common = %version


Source0: boson-code-%version.tar.bz2
Patch0: boson-code-0.9-flags.patch
Patch1: 0.9.1-automake18.patch
Patch2: 0.9.1-ldflags.patch
Patch3: python2.4.patch


# Automatically added by buildreq on Wed May 05 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs doxygen esound fontconfig freetype2 gcc-c++ graphviz kde-settings kdelibs-devel lib3ds-devel libGLU-devel libarts-devel libdb2-devel libjpeg-devel libogg-devel libopenal-devel libpng-devel libqt3-devel libstdc++-devel libtiff-devel libvorbis-devel python-devel qt3-designer qt3-doc zlib-devel
BuildRequires: XFree86-devel XFree86-libs doxygen esound fontconfig freetype2 gcc-c++
BuildRequires: lib3ds-devel libGLU-devel libarts-devel
BuildRequires: libjpeg-devel libogg-devel libopenal-devel
BuildRequires: libpng-devel libqt3-devel libstdc++-devel libtiff-devel
BuildRequires: libvorbis-devel qt3-designer qt3-doc zlib-devel
BuildRequires: python-devel python-devel-static
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base kdelibs-devel >= 1 kdelibs >= 1

%package maxi
Group: Games/Strategy
Summary: Real-Time Strategy Game
Requires: %name = %version, %name-data = %version, %name-music = %version

%package common
Group: Games/Strategy
Summary: Empty virtual package for %name
Conflicts: %name < %version, %name > %version

%description
Boson is a real-time strategy game, like Command&Conquer(tm) or StarCraft(tm).
It is designed to run on Unix (Linux) computers and uses the Qt
Toolkit and QwSpriteField. A minimum of two players is required, since there is
no artifical intelligence (yet?).

%description maxi
Boson is a real-time strategy game, like Command&Conquer(tm) or StarCraft(tm).
It is designed to run on Unix (Linux) computers and uses the Qt
Toolkit and QwSpriteField. A minimum of two players is required, since there is
no artifical intelligence (yet?).

%description common
Empty virtual package for easy uninstall %name packages

%prep
%setup -q -n boson-code-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs

%build
export QTDIR=%qtdir
export CFLAGS="%optflags" CXXFLAGS="%optflags"
%configure \
    --enable-final \
    --disable-debug \
    --disable-static \
    --enable-shared \
    --disable-rpath \
    --with-pythondir=%prefix \
    --disable-libtool-lock \
    --program-transform-name="" \
    --enable-openal

%make

%install
%make DESTDIR=%buildroot install

# menu
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/%name/%name.desktop %buildroot/%_menudir/%name
kdedesktop2mdkmenu.pl %name Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/%name/bounit.desktop %buildroot/%_menudir/%name-bounit
kdedesktop2mdkmenu.pl %name Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/%name/bounit.desktop %buildroot/%_menudir/%name-boinfo

mkdir -p %buildroot/{%_liconsdir,%_miconsdir}
ln -sf ../locolor/16x16/apps/%name.png %buildroot/%_miconsdir/%name.png
ln -sf ./hicolor/48x48/apps/%name.png %buildroot/%_iconsdir/%name.png
ln -sf ../hicolor/48x48/apps/%name.png %buildroot/%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files common
%files maxi
%files
%_bindir/*
%_libdir/kde3/plugins/designer/*
%_libdir/kde3/plugins/boson/
%_datadir/apps/%name
%_datadir/config/*
%_datadir/applnk/Games/TacticStrategy/%name
%_iconsdir/%name.png
%_iconsdir/*/%name.png
%_iconsdir/*/*/apps/%name.png
%_menudir/*
%doc %_docdir/HTML/en/%{name}*

%changelog
* Mon Apr 04 2005 Sergey V Turchin <zerg at altlinux dot org> 0.10-alt4
- rebuild with new python

* Thu Jan 27 2005 Sergey V Turchin <zerg at altlinux dot org> 0.10-alt3
- rebuild with gcc3.4

* Mon May 17 2004 Sergey V Turchin <zerg at altlinux dot org> 0.10-alt2
- remove libdb2-devel from BuildRequires

* Wed May 05 2004 Sergey V Turchin <zerg at altlinux dot org> 0.10-alt1
- new verion

* Tue Mar 23 2004 Sergey V Turchin <zerg at altlinux dot org> 0.9.1-alt2
- rebuild with new KDE

* Tue Dec 09 2003 Sergey V Turchin <zerg at altlinux dot org> 0.9.1-alt1
- new verion
- make virtual package boson-maxi

* Mon Oct 06 2003 Sergey V Turchin <zerg at altlinux dot org> 0.8-alt2
- fix build

* Thu Apr 10 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.8-alt1
- new version

* Fri Nov 22 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7-alt1
- build for ALT

* Tue Nov 05 2002 Krzysztof Kosz <krzysztof.kosz@poczta.fm>
-  boson 0.7 release
-  now building requires wml (we want to have a documentation)
-  now requiring lib3ds (we have OpenGL and 3ds models)

* Tue Jun 11 2002 Krzysztof Kosz <krzysztof.kosz@poczta.fm>
-  adapted to boson-0.6 release

* Tue Sep 21 1999 Thomas Capricelli <orzel@yalbi.com>
-  making it the way I want it..
-  adapted to boson-0.2 (Games/Boson)

* Fri Sep 17 1999 Guillaume Assire <alphagolf@rocketmail.com>
-  Initial packaging version 0.1
